Last Comment Bug 757944 - libEGL error 'call to OpenGL ES API with no current context (logged once per thread)'
: libEGL error 'call to OpenGL ES API with no current context (logged once per ...
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: Firefox 15
Assigned To: Benoit Girard (:BenWa)
:
:
Mentors:
Depends on:
Blocks: 758635 760226
  Show dependency treegraph
 
Reported: 2012-05-23 11:57 PDT by Benoit Girard (:BenWa)
Modified: 2012-06-06 11:45 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
+


Attachments
patch (1.19 KB, patch)
2012-05-23 12:53 PDT, Benoit Girard (:BenWa)
joe: review+
Details | Diff | Splinter Review
patch v2 (fix reftest failures) (3.40 KB, patch)
2012-05-30 12:11 PDT, Benoit Girard (:BenWa)
jmuizelaar: review+
blassey.bugs: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Benoit Girard (:BenWa) 2012-05-23 11:57:23 PDT
While running on the adreno I get these errors on startup:

E/libEGL  ( 5081): call to OpenGL ES API with no current context (logged once per thread)
E/libEGL  ( 5081): call to OpenGL ES API with no current context (logged once per thread)
E/libEGL  ( 5081): call to OpenGL ES API with no current context (logged once per thread)
E/libEGL  ( 5081): call to OpenGL ES API with no current context (logged once per thread)
(repeat a dozen times)

These error are from GLController.initEGL()
Comment 1 Benoit Girard (:BenWa) 2012-05-23 12:53:11 PDT
Created attachment 626562 [details] [diff] [review]
patch

We can't init there since we don't have a current surface.

The init code will get called part of GeckoLayerClient.createFrame().
Comment 3 Benoit Girard (:BenWa) 2012-05-24 08:06:53 PDT
I want more testing on trunk before uplifting.

This error is causing bad log errors on Adreno and is generally wrong everywhere.
Comment 4 Ed Morley [:emorley] 2012-05-24 09:53:49 PDT
Sorry, believed to be the cause of reftest failures, so backed out.

eg https://tbpl.mozilla.org/php/getParsedLog.php?id=12029801&tree=Mozilla-Inbound

https://hg.mozilla.org/integration/mozilla-inbound/rev/ac4670bbfb47
Comment 5 :Ms2ger (⌚ UTC+1/+2) 2012-05-25 08:29:53 PDT
https://hg.mozilla.org/mozilla-central/rev/5f82df6b980e
Comment 6 :Ms2ger (⌚ UTC+1/+2) 2012-05-25 08:30:19 PDT
I lied

https://hg.mozilla.org/mozilla-central/rev/ac4670bbfb47
Comment 7 Benoit Girard (:BenWa) 2012-05-30 12:11:44 PDT
Created attachment 628419 [details] [diff] [review]
patch v2 (fix reftest failures)

Try submission of an equivalent patch:
https://tbpl.mozilla.org/?tree=Try&rev=1227359c8ae9
Comment 10 Jeff Muizelaar [:jrmuizel] 2012-06-04 09:19:51 PDT
Comment on attachment 628419 [details] [diff] [review]
patch v2 (fix reftest failures)

[Approval Request Comment]
Bug caused by (feature/regressing bug #): None
User impact if declined: Warnings, and possible GL crashes, a bunch of other bugs depend on this especially bug 754257 which is a fennec blocker
Testing completed (on m-c, etc.): Has been on m-c for a couple of days
Risk to taking this patch (and alternatives if risky): Mobile only, 
String or UUID changes made by this patch: None
Comment 11 Alex Keybl [:akeybl] 2012-06-04 15:50:42 PDT
(In reply to Jeff Muizelaar [:jrmuizel] from comment #10)
> Risk to taking this patch (and alternatives if risky): Mobile only, 

What's the risk to mobile? Since this isn't a release blocker, we want to make sure it carries no additional risk if approved.
Comment 12 Jeff Muizelaar [:jrmuizel] 2012-06-04 16:40:33 PDT
(In reply to Alex Keybl [:akeybl] from comment #11)
> (In reply to Jeff Muizelaar [:jrmuizel] from comment #10)
> > Risk to taking this patch (and alternatives if risky): Mobile only, 
> 
> What's the risk to mobile? Since this isn't a release blocker, we want to
> make sure it carries no additional risk if approved.

The risk should be pretty minimal. The code is removing code that is currently quite broken.
Comment 13 Joe Drew (not getting mail) 2012-06-05 17:04:52 PDT
Renomming - blocks a blocker.
Comment 14 Joe Drew (not getting mail) 2012-06-05 19:13:01 PDT
https://hg.mozilla.org/releases/mozilla-beta/rev/53f969bc9a2f

Note You need to log in before you can comment on or make changes to this bug.